API Reference
Execute a revision-checked editor command.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/editor-commands/execute" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": 0, "command": { "kind": "setText", "itemId": "string", "text": "string", "textKind": "overlay", "spec": { "property1": null, "property2": null }, "startSeconds": 0, "durationSeconds": 1 } }'{ "projectId": "string", "revision": 0, "baseRevision": 0, "mutationReceiptId": "string", "replayed": true, "affectedTimelineItemIds": [ "string" ], "createdTimelineItemIds": [ "string" ], "deletedTimelineItemIds": [ "string" ], "warnings": [ "string" ], "result": { "property1": null, "property2": null }}